
--Useful maths fuction Library

PI = 3.141596

function toDegrees(angle)
    return angle*(180/PI)
end

--Return x value in given direction
function lengthdir_x(len, angle)
    return math.cos(angle) * len
end

--Return y value in given angle
function lengthdir_y(len, angle)
    return -math.sin(angle) * len
end

--Return distance between two points in pixel
function find_distance(x1,y1,x2,y2)
    return math.sqrt( (x2-x1)*(x2-x1) + (y2 - y1)*(y2 - y1) )
end

--Return angle between between two points in degrees
function find_angle(x1,y1,x2,y2)
    return toDegrees(math.atan(y2-y1,x2-x1))
end

